﻿# ApliConfig

## Primjeri pozivanja

### Konverzija svih datoteka (dl2 u dl3 format) u folderu

Komanda je convert_dl2_dl3. Primjeri su:

ApliConfig convert_dl2_dl3
ApliConfig convert_dl2_dl3 -D c:\Aplikacija\data
ApliConfig convert_dl2_dl3 -D c:\Aplikacija\data -B c:\Aplikacija\data\history\data

U folderu navedenom -D parametrom pronalazi sve datoteke s .dl2 ekstenzijom.

Parametrom -B navodi se backup folder.
Program ispod njega napravi subfolder čiji naziv je timestamp u formatu yyyyMMdd_hhmmss gdje sprema originalne dl2 datoteke.
Nove datoteke su u folderu gdje su bili originali (dl2).

### Konverzija jedne datoteke (dl2 u dl3 format)

Komanda je convert_dl2_dl3. Primjeri su:

ApliConfig convert_dl2_dl3 -f c:\Aplikacija\data\192_168_56_9.dario.0012724.dl2
ApliConfig convert_dl2_dl3 -f c:\Aplikacija\data\192_168_56_9.dario.0012724.dl2 -B c:\Aplikacija\data\history\data

Parametrom komande -f navodi se fullpath datoteke koju treba konvertirati.

Parametrom -B navodi se backup folder (ako nije naveden, default je {DataFolder}\history\data).
Program ispod backup foldera napravi subfolder čiji naziv je timestamp u formatu yyyyMMdd_hhmmss gdje spremi originalnu dl2 datoteku.
Nova datoteka napravljena je u folderu gdje je bila original (dl2) i ima ekstenziju dl3.

### Refresh dl3 datoteka u folderu

Komanda je refresh_dl3. Primjeri su:

ApliConfig refresh_dl3
ApliConfig refresh_dl3 -D c:\Aplikacija\data
ApliConfig refresh_dl3 -D c:\Aplikacija\data -B c:\Aplikacija\data\history\data

U folderu navedenom -D parametrom pronalazi sve datoteke s .dl3 ekstenzijom.
Parametrom -B navodi se backup folder. Program ispod njega napravi subfolder čiji naziv je timestamp u formatu yyyyMMdd_hhmmss.
Originalnu datoteku spremi u subfolder, dekriptira i ponovo kriptira na original lokaciju. 
Umjesto original datoteke napravljena je nova (koja sadrži nepromijenjene podatke) potpuno drugačijeg sha512.

### Refresh jedne dl3 datoteke

ApliConfig refresh_dl3 -f c:\Aplikacija\data\192_168_56_9.dario.0012724.dl3
ApliConfig refresh_dl3 -f c:\Aplikacija\data\192_168_56_9.dario.0012724.dl3 -B c:\Aplikacija\data\history\data

Parametrom komande -f navodi se fullpath datoteke koju treba refreshati.
Parametrom -B navodi se backup folder (ako nije naveden, default je {DataFolder}\history\data).
Program ispod backup foldera napravi subfolder čiji naziv je timestamp u formatu yyyyMMdd_hhmmss.
Originalnu datoteku spremi u subfolder, dekriptira i ponovo kriptira na original lokaciju.
Umjesto original datoteke napravljena je nova (koja sadrži nepromijenjene podatke) potpuno drugačijeg sha512.

### Editiranje dl3 datoteke

Komanda je change. Primjer je:

ApliConfig change -f c:\Aplikacija\data\192_168_56_9.dario.0012724.dl3

Parametrom komande -f navodi se fullpath datoteke koju treba editirati.

### Postavljanje vrijednosti u sve dl3 datoteke u folderu

Komanda je set_dl3. Primjer je:

ApliConfig set_dl3 -D c:\Aplikacija\data {ostali parametri}
ApliConfig set_dl3 -D c:\Aplikacija\data -B c:\Aplikacija\data\history\data {ostali parametri}

U folderu navedenom -D parametrom pronalazi sve datoteke s .dl3 ekstenzijom.
Parametrom -B navodi se backup folder. Program ispod njega napravi subfolder čiji naziv je timestamp u formatu yyyyMMdd_hhmmss.
Originalnu datoteku spremi u subfolder, dekriptira i napravi novu na original lokaciji.
Umjesto original datoteka napravljene su nove koje sadrže promijenjene podatke.
Za {ostali parametri} vidi ispod "Parametri koji se mogu postaviti".

Primjer:
ApliConfig.exe set_dl3 -D "C:\Aplikacija\dl3\hzjz" --cezdlih_vhost "apli_cezdlih" --rabbit_amqps false

### Postavljanje vrijednosti u jednu dl3 datoteku

ApliConfig set_dl3 -f c:\Aplikacija\data\192_168_56_9.dario.0012724.dl3 {ostali parametri}
ApliConfig set_dl3 -f c:\Aplikacija\data\192_168_56_9.dario.0012724.dl3 -B c:\Aplikacija\data\history\data {ostali parametri}

Parametrom komande -f navodi se fullpath datoteke u koju treba postaviti zadane vrijednosti.
Parametrom -B navodi se backup folder (ako nije naveden, default je {DataFolder}\history\data).
Program ispod backup foldera napravi subfolder čiji naziv je timestamp u formatu yyyyMMdd_hhmmss.
Originalnu datoteku spremi u subfolder, dekriptira i napravi novu na original lokaciji.
Umjesto original datoteke napravljena je nova koja sadrži promijenjene podatke.
Za {ostali parametri} vidi ispod "Parametri koji se mogu postaviti".

Primjer:
ApliConfig.exe set_dl3 -f "C:\Aplikacija\data\192_168_104_7.adela.tes-dok79.grabic.0013068.dl3" --cezdlih_vhost "apli_cezdlih"

#### Parametri koji se mogu postaviti

-A (--rabbit_address) 
    primjer1: 192.168.56.1
    primjer2: mikra.hzjz.hr

-P (--rabbit_port)
    primjer1: 5671
    primjer2: 5672

-T (--rabbit_amqps)
    primjer1: true
    primjer2: false

-F (--rabbit_cert)
    primjer1: "C:\Aplikacija\data\192_168_56_1.rmq_key.p12"

-G (--rabbit_cert_password)
    primjer1: "xyz12345"

-C (--cezih_vhost)
    primjer1: apli_cezih_control

-H (--hzzows_vhost)
    primjer1: hzzows.vjera.tes-ses64.pticar

-S (--signer_vhost)
    primjer1: apli_signer

-W (--cezihws_vhost)
    primjer1: apli_cezih_ws

-L (--cezdlih_vhost)
    primjer1: apli_cezdlih

-U (--rabbit_user)
    primjer1: "x-vjera.tes-ses64.pticar"

-V (--rabbit_password)
    primjer1: "dsf3DnmxQchKFEGG7oLGccgCmj5uiGjW"

-N (--card_pin)
    primjer1: "12345"
    note: krivi upis PINa dovodi do zaključavanja kartice !!!

-O (--card_owner)
    primjer1: "VJERA TES-SES46 PTIČAR"
    note: format je ime + " " + prezime (sa smartcarda)

-I (--card_id)
    primjer1: 0013044
    note: ne mijenja naziv datoteke !!!

Svi parametri su stringovi (mogu biti u dvostrukim navodnicima).
Ukoliko sadrže neki nedozvoljeni karakter/sekvencu moraju biti u dvostrukim navodnicima.
Parametri koji nisu navedeni ostaju kakvi su bili.

Parametri card_id, card_owner, card_pin, rabbit_user, rabbit_password, hzzows_vhost
vjerojatno imaju smisla ako se mijenja jedna datoteka.
